Subject: bug#60691: 29.0.60; Slow tree-sitter font-lock in ruby-ts-mode

From: Yuan Fu <[email-masked]>
Date: Fri, 13 Jan 2023 23:51:05 -0800

> On Jan 13, 2023, at 11:29 PM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Yuan Fu <[email-masked]>
>> Date: Fri, 13 Jan 2023 19:48:40 -0800
>> Cc: [email-masked],
>> [email-masked],
>> [email-masked],
>> [email-masked]
>> 
>> Thanks, I pushed a fix for it. I also used intern_c_string in some places like these:
>> 
>> intern_c_string (":?”)
>> intern_c_string (":*")
>> 
>> I want to change them to use DEFSYM, but what should be the c name for them?
> 
> Yes, DEFSYM is better in such cases.  The C name can be QCquestion and
> QCasterix, for example.

My worry is that they will conflict with, eg, symbol `question’ and `asterix’, if someone ever defines them in the C codebase. Is that not possible?

Yuan